import Vue from 'vue'
// import ElementUI from 'element-ui'
// import 'element-ui/lib/theme-chalk/index.css'
import App from './App.vue'

Vue.config.productionTip = false

export default class Message {
  constructor(option = {}) {
    window.messageOption = option
    Vue.prototype.$option = option
    if (!Message.instance) {
      Message.renderDom(option)
      Message.instance = this
    }
    return Message.instance
  }
  // 渲染vue
  static renderDom(option) {
    new Vue({
      render: h => h(App)
    }).$mount(option.el)
  }
  // 初始化
  static init(option, cb) {
    if (!this.instance) {
      this.instance = new Message(option, cb)
    }
    return this.instance
  }
}
